com.genesyslab.wfm8.API.service.calendar851

## Class CalAuditItem

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar851.CalAuditItem

- All Implemented Interfaces:
    java.io.Serializable

      public class CalAuditItem
      extends java.lang.Object
      implements java.io.Serializable

  Identifies Calendar Item changes
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID
    `protected int` | `gswUserId` An ID of `CfgUser` that is responsible for action
    `protected int` | `newStatus` Status of new/current calendar item `ECalSavedStatuses`
    `protected long` | `newTimestamp` Timestamp for new/current calendar item
    `protected int` | `oldStatus` Status of old/previous calendar item `ECalSavedStatuses`
    `protected long` | `oldTimestamp` Timestamp for old/previous calendar item
    `private static long` | `serialVersionUID`
    `protected int` | `wmAction` Type of action performed `ECalActionType`
    `protected int` | `wmCalendarItemId` Calendar Item ID
    `protected double` | `wmDate` Date of Calendar Item
    `protected int` | `wmType` Type of Calendar Item `ECalItems`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalAuditItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the gswAgentId value for this CalAuditItem.
    `int` | `getGswUserId()` Gets the gswUserId value for this CalAuditItem.
    `int` | `getNewStatus()` Gets the newStatus value for this CalAuditItem.
    `long` | `getNewTimestamp()` Gets the newTimestamp value for this CalAuditItem.
    `int` | `getOldStatus()` Gets the oldStatus value for this CalAuditItem.
    `long` | `getOldTimestamp()` Gets the oldTimestamp value for this CalAuditItem.
    `int` | `getWmAction()` Gets the wmAction value for this CalAuditItem.
    `int` | `getWmCalendarItemId()` Gets the wmCalendarItemId value for this CalAuditItem.
    `double` | `getWmDate()` Gets the wmDate value for this CalAuditItem.
    `int` | `getWmType()` Gets the wmType value for this CalAuditItem.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this CalAuditItem.
    `void` | `setGswUserId(int gswUserId)` Sets the gswUserId value for this CalAuditItem.
    `void` | `setNewStatus(int newStatus)` Sets the newStatus value for this CalAuditItem.
    `void` | `setNewTimestamp(long newTimestamp)` Sets the newTimestamp value for this CalAuditItem.
    `void` | `setOldStatus(int oldStatus)` Sets the oldStatus value for this CalAuditItem.
    `void` | `setOldTimestamp(long oldTimestamp)` Sets the oldTimestamp value for this CalAuditItem.
    `void` | `setWmAction(int wmAction)` Sets the wmAction value for this CalAuditItem.
    `void` | `setWmCalendarItemId(int wmCalendarItemId)` Sets the wmCalendarItemId value for this CalAuditItem.
    `void` | `setWmDate(double wmDate)` Sets the wmDate value for this CalAuditItem.
    `void` | `setWmType(int wmType)` Sets the wmType value for this CalAuditItem.
    `java.lang.String` | `toString()`
    `CalAuditItem` | `withGswAgentId(int value)`
    `CalAuditItem` | `withGswUserId(int value)`
    `CalAuditItem` | `withNewStatus(int value)`
    `CalAuditItem` | `withNewTimestamp(long value)`
    `CalAuditItem` | `withOldStatus(int value)`
    `CalAuditItem` | `withOldTimestamp(long value)`
    `CalAuditItem` | `withWmAction(int value)`
    `CalAuditItem` | `withWmCalendarItemId(int value)`
    `CalAuditItem` | `withWmDate(double value)`
    `CalAuditItem` | `withWmType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAgentId

          protected int gswAgentId

      Agent ID

    - #### wmDate

          protected double wmDate

      Date of Calendar Item

    - #### wmType

          protected int wmType

      Type of Calendar Item `ECalItems`

    - #### wmCalendarItemId

          protected int wmCalendarItemId

      Calendar Item ID

    - #### newStatus

          protected int newStatus

      Status of new/current calendar item `ECalSavedStatuses`

    - #### newTimestamp

          protected long newTimestamp

      Timestamp for new/current calendar item

    - #### oldStatus

          protected int oldStatus

      Status of old/previous calendar item `ECalSavedStatuses`

    - #### oldTimestamp

          protected long oldTimestamp

      Timestamp for old/previous calendar item

    - #### wmAction

          protected int wmAction

      Type of action performed `ECalActionType`

    - #### gswUserId

          protected int gswUserId

      An ID of `CfgUser` that is responsible for action

  - ### Constructor Detail

    - #### CalAuditItem

          public CalAuditItem()

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this CalAuditItem.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this CalAuditItem.
      Parameters:
        `gswAgentId` -

    - #### getWmDate

          public double getWmDate()

      Gets the wmDate value for this CalAuditItem.
      Returns:
        wmDate

    - #### setWmDate

          public void setWmDate(double wmDate)

      Sets the wmDate value for this CalAuditItem.
      Parameters:
        `wmDate` -

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this CalAuditItem.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this CalAuditItem.
      Parameters:
        `wmType` -

    - #### getWmCalendarItemId

          public int getWmCalendarItemId()

      Gets the wmCalendarItemId value for this CalAuditItem.
      Returns:
        wmCalendarItemId

    - #### setWmCalendarItemId

          public void setWmCalendarItemId(int wmCalendarItemId)

      Sets the wmCalendarItemId value for this CalAuditItem.
      Parameters:
        `wmCalendarItemId` -

    - #### getNewStatus

          public int getNewStatus()

      Gets the newStatus value for this CalAuditItem.
      Returns:
        newStatus

    - #### setNewStatus

          public void setNewStatus(int newStatus)

      Sets the newStatus value for this CalAuditItem.
      Parameters:
        `newStatus` -

    - #### getNewTimestamp

          public long getNewTimestamp()

      Gets the newTimestamp value for this CalAuditItem.
      Returns:
        newTimestamp

    - #### setNewTimestamp

          public void setNewTimestamp(long newTimestamp)

      Sets the newTimestamp value for this CalAuditItem.
      Parameters:
        `newTimestamp` -

    - #### getOldStatus

          public int getOldStatus()

      Gets the oldStatus value for this CalAuditItem.
      Returns:
        oldStatus

    - #### setOldStatus

          public void setOldStatus(int oldStatus)

      Sets the oldStatus value for this CalAuditItem.
      Parameters:
        `oldStatus` -

    - #### getOldTimestamp

          public long getOldTimestamp()

      Gets the oldTimestamp value for this CalAuditItem.
      Returns:
        oldTimestamp

    - #### setOldTimestamp

          public void setOldTimestamp(long oldTimestamp)

      Sets the oldTimestamp value for this CalAuditItem.
      Parameters:
        `oldTimestamp` -

    - #### getWmAction

          public int getWmAction()

      Gets the wmAction value for this CalAuditItem.
      Returns:
        wmAction

    - #### setWmAction

          public void setWmAction(int wmAction)

      Sets the wmAction value for this CalAuditItem.
      Parameters:
        `wmAction` -

    - #### getGswUserId

          public int getGswUserId()

      Gets the gswUserId value for this CalAuditItem.
      Returns:
        gswUserId

    - #### setGswUserId

          public void setGswUserId(int gswUserId)

      Sets the gswUserId value for this CalAuditItem.
      Parameters:
        `gswUserId` -

    - #### withGswAgentId

          public CalAuditItem withGswAgentId(int value)

    - #### withGswUserId

          public CalAuditItem withGswUserId(int value)

    - #### withNewStatus

          public CalAuditItem withNewStatus(int value)

    - #### withNewTimestamp

          public CalAuditItem withNewTimestamp(long value)

    - #### withOldStatus

          public CalAuditItem withOldStatus(int value)

    - #### withOldTimestamp

          public CalAuditItem withOldTimestamp(long value)

    - #### withWmAction

          public CalAuditItem withWmAction(int value)

    - #### withWmCalendarItemId

          public CalAuditItem withWmCalendarItemId(int value)

    - #### withWmDate

          public CalAuditItem withWmDate(double value)

    - #### withWmType

          public CalAuditItem withWmType(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.